Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-arm-rtems4.10-binutils
 Requires:	rtems-4.10-arm-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-arm-rtems4.10-binutils
-# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-avr-rtems4.10-binutils
 Requires:	rtems-4.10-avr-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -150,5 +150,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -451,5 +451,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-avr-rtems4.10-binutils
-# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -469,5 +469,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -584,5 +584,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -605,5 +605,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-bfin-rtems4.10-binutils
 Requires:	rtems-4.10-bfin-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-bfin-rtems4.10-binutils
-# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-h8300-rtems4.10-binutils
 Requires:	rtems-4.10-h8300-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-h8300-rtems4.10-binutils
-# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-i386-rtems4.10-binutils
 Requires:	rtems-4.10-i386-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-i386-rtems4.10-binutils
-# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-lm32-rtems4.10-binutils
 Requires:	rtems-4.10-lm32-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-lm32-rtems4.10-binutils
-# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-m32c-rtems4.10-binutils
 Requires:	rtems-4.10-m32c-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -150,5 +150,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -451,5 +451,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32c-rtems4.10-binutils
-# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -469,5 +469,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -584,5 +584,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -605,5 +605,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-m32r-rtems4.10-binutils
 Requires:	rtems-4.10-m32r-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -150,5 +150,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -451,5 +451,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32r-rtems4.10-binutils
-# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -469,5 +469,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -584,5 +584,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -605,5 +605,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-m68k-rtems4.10-binutils
 Requires:	rtems-4.10-m68k-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m68k-rtems4.10-binutils
-# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-mips-rtems4.10-binutils
 Requires:	rtems-4.10-mips-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-mips-rtems4.10-binutils
-# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-powerpc-rtems4.10-binutils
 Requires:	rtems-4.10-powerpc-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-powerpc-rtems4.10-binutils
-# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-sh-rtems4.10-binutils
 Requires:	rtems-4.10-sh-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sh-rtems4.10-binutils
-# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 69234cac23a2b6ae48b9ddb22f6b022b6efde6c2)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 620e3fb5db4758cc1571c6c842ba6a0eb4cd5ed6)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	5%{?dist}
+Release:      	6%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -137,5 +137,5 @@
 Requires:	rtems-4.10-sparc-rtems4.10-binutils
 Requires:	rtems-4.10-sparc-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 
 
@@ -144,5 +144,5 @@
 %if "%{gcc_version}" == "4.4.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091015.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -155,5 +155,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091030.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091104.diff
 %endif
 %{?_without_sources:NoSource:	50}
@@ -459,5 +459,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sparc-rtems4.10-binutils
-# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 # License:	GPL
 
@@ -477,5 +477,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-63%{?dist}
+Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-64%{?dist}
 License:	GPL
 
@@ -652,5 +652,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -673,5 +673,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        63%{?dist}
+Release:        64%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
